xfce4-dev-tools (4.18.0-1~bpo22.04) jammy; urgency=medium

  * No-change backport to jammy.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 16 Dec 2022 18:52:00 -0500

xfce4-dev-tools (4.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.18.0.
  * d/docs, d/rules: Opt-out of trimmed changelogs, install NEWS as changelog.

 -- Unit 193 <unit193@debian.org>  Thu, 15 Dec 2022 04:58:17 -0500

xfce4-dev-tools (4.17.2-1) experimental; urgency=medium

  * Team upload.

  [ Akbarkhon Variskhanov ]
  * Add upstream metadata
  * d/control: Add docker.io to Suggests

  [ Unit 193 ]
  * New upstream version 4.17.2.

 -- Unit 193 <unit193@debian.org>  Mon, 05 Dec 2022 01:44:08 -0500

xfce4-dev-tools (4.17.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.17.1.

 -- Unit 193 <unit193@debian.org>  Wed, 02 Nov 2022 05:16:32 -0400

xfce4-dev-tools (4.17.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.17.0.
  * d/rules: Drop '--as-needed' from LDFLAGS, default in stable now.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Tue, 19 Jul 2022 22:46:25 -0400

xfce4-dev-tools (4.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.16.0.
  * d/control: Update 'homepage' field, link to the docs.xfce.org project page.
  * d/copyright: Update 'source' field for new git host.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Tue, 22 Dec 2020 20:15:03 -0500

xfce4-dev-tools (4.15.1-1) experimental; urgency=medium

  * d/watch: update to version 4
  * New upstream version 4.15.1
  * d/control: update dh compat level to 13
  * d/xdt-csource.1 dropped, upstream provide a manpage
  * d/xfce4-dev-tools.lintian-overrides dropped

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 14 Nov 2020 12:48:08 +0100

xfce4-dev-tools (4.15.0-1) experimental; urgency=medium

  * Team upload.
  * d/watch: Update for mirrorbit and use uscan special strings.
  * New upstream version 4.15.0.
  * d/control:
    - Bump DH compat to 12.
    - R³: no.
  * d/copyright: Update years.
  * d/docs: README → README.md.
  * d/rules:
    - Enable all hardening rules.
    - Ensure dh_autoreconf doesn't run xdt-autogen, avoiding a self-dependency.
  * Update Standards-Version to 4.5.0.

 -- Unit 193 <unit193@debian.org>  Fri, 11 Sep 2020 19:37:17 -0400

xfce4-dev-tools (4.14.0-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream version 4.14.0
  * d/copyright: Re-write in DEP-5 format.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 13 Aug 2019 22:24:21 +0200

xfce4-dev-tools (4.13.0-1) experimental; urgency=medium

  [ Unit 193 ]
  * New upstream version 4.13.0
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 11.
  * Bump Standards-Version to 4.4.0.
  * Trim whitespace from previous changelog entries.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 13 Jul 2019 13:01:29 +0200

xfce4-dev-tools (4.12.0-3) unstable; urgency=medium

  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org
                                                                closes: #899848
  * d/gbp.conf added, following DEP-14
  * d/watch: use HTTPS protocol
  * run wrap-and-sort
  * d/control: drop Lionel from uploaders, thanks!
  * d/control: update standards version to 4.3.0
  * d/control: use HTTPS protocol
  * d/copyright: fix typo
  * Update debhelper compat to 10

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 27 Dec 2018 15:07:08 +0100

xfce4-dev-tools (4.12.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 06 May 2015 13:58:10 +0200

xfce4-dev-tools (4.12.0-1) experimental; urgency=medium

  [ Yves-Alexis Perez ]
  * debian/control:
    - remove spurious Sections fields.
    - update Homepage to xfce.org.

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/control:
    - update standards version to 3.9.6.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 08 Mar 2015 14:27:13 +0100

xfce4-dev-tools (4.11.0-1) experimental; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * New upstream release
  * Bump standard-version to 3.9.5

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 23 Feb 2014 20:47:36 +0100

xfce4-dev-tools (4.10.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/xfce4-dev-tools.lintian-overrides added, override warning for
    hardening flags (which we do build with).

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 21 May 2012 21:01:05 +0200

xfce4-dev-tools (4.10.0-1) experimental; urgency=low

  * New upstream stable release.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Thu, 03 May 2012 23:05:29 +0200

xfce4-dev-tools (4.9.2-1) experimental; urgency=low

  * New upstream development release.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 15 Apr 2012 16:22:57 +0200

xfce4-dev-tools (4.9.1-1) experimental; urgency=low

  [ Lionel Le Folgoc ]
  * New upstream development release.

  [ Yves-Alexis Perez ]
  * debian/rules:
    - use debhelper 9 and dpkg-dev 1.16.1 hardening support.
    - build with --parallel.
  * debian/compat bumped to 9.
  * debian/control:
    - update debhelper build-dep to 9.
    - add build-dep on dpkg-dev 1.16.1.
    - drop hardening-includes build-dep.
    - update standards version to 3.9.3.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 08 Apr 2012 22:29:30 +0200

xfce4-dev-tools (4.9.0-1) experimental; urgency=low

  * New upstream development release.
  * debian/patches/0001-Use-pkg-config-macro-for-detection-bug-7787.patch:
    dropped, included upstream.
  * debian/control:
    - b-dep on libglib2.0-dev for the new xdt-source program.
    - make the package arch: any (xdt-source is a binary).
  * debian/xdt-csource.1, debian/xfce4-dev-tools.manpages: add a manpage for
    xdt-csource.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Fri, 18 Nov 2011 17:05:49 +0100

xfce4-dev-tools (4.8.0-2) unstable; urgency=low

  * debian/patches:
    - 0001-Use-pkg-config-macro-for-detection-bug-7787 cherry picked from
      upstream, fix Makefile generation for multi-arch.         closes: #632502

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 05 Sep 2011 21:29:33 +0200

xfce4-dev-tools (4.8.0-1) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * New upstream release.
  * debian/patches/01_support-automake1.11.patch: dropped, included upstream.
  * debian/control: add myself to Uploaders.

  [ Yves-Alexis Perez ]
  * Switch to 3.0 (quilt) source format.
  * debian/control:
    - update standards version to 3.9.2.
    - add build-dep on hardening-includes.
    - remove Simon and Emanuele from uploaders, thanks to them.
  * debian/rules:
    - switch to dh7 tiny rules.
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - add hardening flags to {C,LD}FLAGS.
    - add -z,defs, -O1, --as-needed to LDFLAGS

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 19 Apr 2011 17:19:25 +0200

xfce4-dev-tools (4.7.2-3) unstable; urgency=low

  * debian/control:
    - update short description too.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 24 Feb 2010 07:54:44 +0100

xfce4-dev-tools (4.7.2-2) unstable; urgency=low

  * debian/patches:
    - 01_support-automake1.11 added, add support for automake 1.11, thanks
      Cyril Brulebois for the patch.                            closes: #571158
  * debian/control:
    - update long description, Xfce now uses git.
    - update standards version to 3.8.4.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 24 Feb 2010 00:12:22 +0100

xfce4-dev-tools (4.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 20 Sep 2009 21:58:40 +0200

xfce4-dev-tools (4.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 20 Sep 2009 11:25:30 +0200

xfce4-dev-tools (4.7.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - update standards version to 3.8.3.
  * debian/watch updated to match upstream archive reorganisation.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 19 Aug 2009 07:50:12 +0200

xfce4-dev-tools (4.6.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - move to xfce section.
    - update standards version to 3.8.1.
    - update debhelper build-dep to 7.
  * debian/compat bumped to 7.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Apr 2009 02:08:09 +0200

xfce4-dev-tools (4.6.0-1) experimental; urgency=low

  [ Xfce 4.6 Alpha “Pinkie”]
  * new upstream alpha release.

  [ Xfce 4.6 Beta 1 “Fuzzy”]
  * new upstream beta release.

  [ Xfce 4.6 Beta 2 “Hopper”]
  * new upstream beta release.
  * debian/patches:
    - 01-fix-bashism-in-xdt-commit dropped, fixed upstream.

  [ Xfce 4.6 Beta 3 “Tuco-Tuco”]
  * new upstream beta release.

  [ Xfce 4.6 RC1 “Capybara” ]
  * new upstream release candidate.

  [ Xfce 4.6 ]
  * new upstream release.
  * debian/copyright:
    - update dates.
    - update licensing informations.

  [ Michael Casadevall ]
  * debian/watch:
    - Added to help track upstream and download tarballs

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 28 Feb 2009 15:23:28 +0100

xfce4-dev-tools (4.4.0.1-6) unstable; urgency=low

  * debian/patches:
   - refresh 01-fix-bashism-in-xdt-commit to catch one more bashism.
  * debian/control:
    - remove Rudy Godoy and Martin Loschwitz from Uploaders.
    - update standards version to 3.8.0.
    - add Homepage.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 05 Jul 2008 14:43:03 +0200

xfce4-dev-tools (4.4.0.1-5) unstable; urgency=low

  * debian/control: add Recommends on autoconf, automake, intltool, libtool.
    Those tools are useful with xdt-autogen.                    closes: #466554
  * debian/copyright: use © sign and update url.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 21 Feb 2008 07:56:08 +0100

xfce4-dev-tools (4.4.0.1-4) unstable; urgency=low

  * Fix /dev/nulli -> /dev/null in the patch to fix bashisms.

 -- Simon Huggins <huggie@earth.li>  Tue, 12 Feb 2008 08:56:49 +0000

xfce4-dev-tools (4.4.0.1-3) unstable; urgency=low

  * debian/patches: 01-fix-bashism-in-xdt-commit renamed and completed to
    really fix bashisms.                                        closes: #465380
  * debian/control:
    - update standards version to 3.7.3.
    - update my email address.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 12 Feb 2008 08:09:12 +0100

xfce4-dev-tools (4.4.0.1-2) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * debian/control: make package arch:all.

  [ Simon Huggins ]
  * Fix bashism in xdt-commit

 -- Simon Huggins <huggie@earth.li>  Wed, 30 Jan 2008 12:06:30 +0000

xfce4-dev-tools (4.4.0.1-1) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream release.

  [ Simon Huggins ]
  * Add Vcs-* headers to debian/control

 -- Simon Huggins <huggie@earth.li>  Tue, 27 Nov 2007 16:39:18 +0000

xfce4-dev-tools (4.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: update copyright holder.

 -- Yves-Alexis Perez <corsac@corsac.net>  Sun, 15 Apr 2007 15:28:17 +0100

xfce4-dev-tools (4.3.99.1-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@corsac.net>  Sat, 23 Sep 2006 15:40:16 +0100

xfce4-dev-tools (4.3.90.2-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@corsac.net>  Sun, 27 Aug 2006 16:22:12 +0100

xfce4-dev-tools (4.3.90.1svn-r21976-1) unstable; urgency=low

  * Initial release                                            closes: #363467
  * Written manpage for xdt-autogen

 -- Emanuele Rocca <ema@debian.org>  Sun, 04 Jun 2006 14:39:00 +0200
